module Tracking_tb();

	reg clk;
	reg rst_n;
	reg track1;
	reg track2;
	reg track3;
	reg track4;
	wire dir_l_1;
	wire dir_l_2;
	wire dir_r_1;
	wire dir_r_2;
	wire f_pwm_l;
	wire f_pwm_r;
	reg [7:0] spd_high_time;
	reg [7:0] spd_low_time;
	wire pwm;

	//----Code starts here: integrated by Robei-----
	initial begin
	clk=0;
	rst_n=0;
	spd_high_time=0;
	spd_low_time=0;
	track1=0;
	track2=0;
	track3=0;
	track4=0;
	#5;
	rst_n=1;
	#10;
	spd_high_time=8'd5;
	spd_low_time=8'd10;
	#1000;$finish;
	end
	always #10 clk=!clk;
	always #5 track1=!track1;
	always #6 track2=!track2;
	always #7 track3=!track3;
	always #8 track4=!track4;
	
	
	
	initial begin
		$dumpfile ("D:/Robei/robei_Tracking/Tracking_tb.vcd");
		$dumpvars;
	end
	//---Module instantiation---
	Tracking Tracking1(
		.clk(clk),
		.rst_n(rst_n),
		.track1(track1),
		.track2(track2),
		.track3(track3),
		.track4(track4),
		.dir_l_1(dir_l_1),
		.dir_l_2(dir_l_2),
		.dir_r_1(dir_r_1),
		.dir_r_2(dir_r_2),
		.f_pwm_l(f_pwm_l),
		.f_pwm_r(f_pwm_r),
		.spd_high_time(spd_high_time),
		.spd_low_time(spd_low_time),
		.pwm(pwm));

endmodule    //Tracking_tb

